summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPatrick Lauer <patrick@gentoo.org>2016-01-06 09:57:58 +0100
committerPatrick Lauer <patrick@gentoo.org>2016-01-06 09:58:22 +0100
commit3d70356565d3213c370e1f64a85b55c3ded259f5 (patch)
treec55b8c347b2b654a62104a1823100b7b6d06288f /app-misc/elasticsearch/elasticsearch-2.1.1.ebuild
parentprofiles: mask media-plugins/quodlibet-plugins for removal (diff)
downloadgentoo-3d70356565d3213c370e1f64a85b55c3ded259f5.tar.gz
gentoo-3d70356565d3213c370e1f64a85b55c3ded259f5.tar.bz2
gentoo-3d70356565d3213c370e1f64a85b55c3ded259f5.zip
app-misc/elasticsearch: Bump
Package-Manager: portage-2.2.26
Diffstat (limited to 'app-misc/elasticsearch/elasticsearch-2.1.1.ebuild')
-rw-r--r--app-misc/elasticsearch/elasticsearch-2.1.1.ebuild62
1 files changed, 62 insertions, 0 deletions
diff --git a/app-misc/elasticsearch/elasticsearch-2.1.1.ebuild b/app-misc/elasticsearch/elasticsearch-2.1.1.ebuild
new file mode 100644
index 00000000000..a70e231e3e6
--- /dev/null
+++ b/app-misc/elasticsearch/elasticsearch-2.1.1.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils systemd user
+
+MY_PN="${PN%-bin}"
+DESCRIPTION="Open Source, Distributed, RESTful, Search Engine"
+HOMEPAGE="https://www.elastic.co/products/elasticsearch"
+SRC_URI="https://download.elasticsearch.org/${MY_PN}/release/org/${MY_PN}/distribution/tar/${MY_PN}/${PV}/${P}.tar.gz"
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RESTRICT="strip"
+
+RDEPEND="|| ( virtual/jre:1.8 virtual/jre:1.7 )"
+
+pkg_setup() {
+ enewgroup ${MY_PN}
+ enewuser ${MY_PN} -1 /bin/bash /var/lib/${MY_PN} ${MY_PN}
+}
+
+src_prepare() {
+ rm -rf bin/*.{bat,exe}
+ rm LICENSE.txt
+}
+
+src_install() {
+ dodir /etc/${MY_PN}
+ dodir /etc/${MY_PN}/scripts
+
+ insinto /usr/share/doc/${P}/examples
+ doins config/*
+ rm -rf config
+
+ insinto /usr/share/${MY_PN}
+ doins -r ./*
+ chmod +x "${D}"/usr/share/${MY_PN}/bin/*
+
+ keepdir /var/{lib,log}/${MY_PN}
+ keepdir /usr/share/${MY_PN}/plugins
+
+ newinitd "${FILESDIR}/elasticsearch.init5" "${MY_PN}"
+ newconfd "${FILESDIR}/${MY_PN}.conf" "${MY_PN}"
+ systemd_newunit "${FILESDIR}"/${PN}.service4 "${PN}.service"
+}
+
+pkg_postinst() {
+ elog
+ elog "You may create multiple instances of ${MY_PN} by"
+ elog "symlinking the init script:"
+ elog "ln -sf /etc/init.d/${MY_PN} /etc/init.d/${MY_PN}.instance"
+ elog
+ elog "Each of the example files in /usr/share/doc/${P}/examples"
+ elog "should be extracted to the proper configuration directory:"
+ elog "/etc/${MY_PN} (for standard init)"
+ elog "/etc/${MY_PN}/instance (for symlinked init)"
+ elog
+}